// file      : CCF/IDL2/SemanticAction/Operation.cpp
// author    : Boris Kolpackov <boris@dre.vanderbilt.edu>
// cvs-id    : Operation.cpp,v 1.2 2003/07/29 21:45:39 boris Exp

#include "CCF/IDL2/SemanticAction/Operation.hpp"

#include <ostream>

namespace CCF
{
  namespace IDL2
  {
    namespace SemanticAction
    {
      namespace
      {
        char* labels[] = {"in", "out", "inout"};
      }

      std::ostream&

      operator<< (std::ostream& o, Operation::Direction::Value d)
      {
        return o << labels[d];
      }
    }
  }
}
